# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Wed Oct 16 12:18:55 2024
# ------------------------------------------------

package:
  name: vcf-validator
  version: 0.10.0
source:
  sha256: b46117700445644e6fc5a6d2655b477902c67aba0e7abe8a62df6cb49f923fff
  url: https://github.com/EBIvariation/vcf-validator/archive/refs/tags/v0.10.0.tar.gz
build:
  number: '1'
  run_exports:
    - vcf-validator >=0.10.0,<0.11.0a0
  string: h05c6178_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_1
    - binutils_linux-64 2.43 h4852527_1
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.32.3 h4bc722e_0
    - ca-certificates 2024.8.30 hbcca054_0
    - cmake 3.30.5 hf9cb763_0
    - gcc_impl_linux-64 12.4.0 hb2e57f8_1
    - gcc_linux-64 12.4.0 h6b7512a_4
    - gxx_impl_linux-64 12.4.0 h613a52c_1
    - gxx_linux-64 12.4.0 h8489865_4
    - kernel-headers_linux-64 3.10.0 he073ed8_17
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.43 h712a8e2_1
    - libcurl 8.10.1 hbbe4b11_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.3 h5888daf_0
    - libgcc 14.2.0 h77fa898_1
    - libgcc-devel_linux-64 12.4.0 ha4f9413_101
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 12.4.0 h46f95d5_1
    - libssh2 1.11.0 h0841786_0
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libstdcxx-devel_linux-64 12.4.0 ha4f9413_101
    - libstdcxx-ng 14.2.0 h4852527_1
    - libuv 1.49.1 hb9d3cd8_0
    - libzlib 1.3.1 hb9d3cd8_2
    - make 4.4.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.3.2 hb9d3cd8_0
    - rhash 1.4.5 hb9d3cd8_0
    - sysroot_linux-64 2.17 h4a8ded7_17
    - tzdata 2024b hc8b5060_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.32.3 h4bc722e_0
    - ca-certificates 2024.8.30 hbcca054_0
    - icu 73.2 h59595ed_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - libboost 1.82.0 h6fcfa73_6
    - libboost-devel 1.82.0 h00ab1b0_6
    - libboost-headers 1.82.0 ha770c72_6
    - libcurl 8.10.1 hbbe4b11_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libgcc 14.2.0 h77fa898_1
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - libnghttp2 1.58.0 h47da74e_1
    - libssh2 1.11.0 h0841786_0
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libstdcxx-ng 14.2.0 h4852527_1
    - libtool 2.4.7 he02047a_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.3.2 hb9d3cd8_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.6 ha6fb4c9_0
  run:
    - bzip2 >=1.0.8,<2.0a0
    - c-ares >=1.32.3,<2.0a0
    - libboost >=1.82.0,<1.83.0a0
    - libcurl >=8.10.1,<9.0a0
    - libgcc >=12
    - libstdcxx >=12
    - libzlib >=1.3.1,<2.0a0
    - openssl >=3.3.2,<4.0a0
    - zstd >=1.5.6,<1.6.0a0
test:
  commands:
    - vcf_validator --help
    - vcf_assembly_checker --help
about:
  home: https://github.com/EBIVariation/vcf-validator
  license: Apache-2.0
  license_file: LICENSE
  summary: EBI EVA - Validation tool for VCF file format compliance
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - apriltuesday
    - ebi-variation
    - tcezard
